<?php

if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}

/**
 * Confirmer l'inscription d'un email a un evenement (inscription deja en base)
 *
 * @param string $arg
 */
function action_confirmer_agenda_inscrit_dist($arg = null) {


	if ($arg = _request('arg')) {

		list($id_evenement, $alea, $email) = explode("-", $arg);

		// prendre des infos sur l'événements
		if (!$row = sql_fetsel('*', 'spip_evenements', 'id_evenement='.intval($id_evenement))) {
			// evenement n'existe  pas
			include_spip('inc/minipres');
			echo minipres();
			exit;
		}
		$titre_evt = $row['titre'];
		$date_debut = $row['date_debut'];

		// verifier que l'alea existe
		if (!$row = sql_fetsel('*', 'spip_evenements_inscrits', 'id_evenement='.intval($id_evenement). ' AND alea = '.sql_quote($alea))) {
			// alea inconnu
			include_spip('inc/minipres');
			echo minipres(_T('agenda_inscription:action_inscription_alea_invalide', array('titre' => $titre_evt, 'email' => $email)));
			exit;
		}
		$email =  $row['email'];

		// si les places sont comptees, regarder s'il en reste
		if ($places = $row['places']) {
			$nb_ok = sql_countsel('spip_evenements_inscrits', 'id_evenement='.intval($id_evenement)." AND statut='publie'");
			if ($nb_ok >= $places) {
				// evenement complet
				include_spip('inc/minipres');
				echo minipres(_T('agenda_inscription:action_inscription_complet', array('titre' => $titre_evt, 'email' => $email)));
				exit;
			}
		}

		// on est arrivée jusque là .... on peut confirmer l'inscription !
		sql_updateq('spip_evenements_inscrits', array('statut' => 'publie', 'alea' => ''), 'id_evenement ='.intval($id_evenement).' AND alea=' . sql_quote($alea));

		// envoyer une confirmation email à l'usager
		include_spip('inc/mail');
		$envoyer_mail = charger_fonction('envoyer_mail', 'inc/');
		$destinataire_email = $email;
		$email_html = recuperer_fond('emails/agenda_inscrit_confirme', 	array(
			'email' => $email,
			'id_evenement' => $id_evenement,
		));

		include_spip('inc/filtres_dates');
		$date_debut = sql_getfetsel('date_debut', 'spip_evenements',  "id_evenement=" . intval($id_evenement));
		$date_debut_str = affdate_base($date_debut," (d/m/Y)");

		$email_client_sujet = _T('agenda_inscription:email_confirme_titre')." : ".$titre_evt.$date_debut_str;
		$email_client_corps = array(
			'html' => $email_html,
		);


		$ok = $envoyer_mail($destinataire_email, $email_client_sujet, $email_client_corps);

		// affichage final
		include_spip('inc/minipres');
		echo minipres(_T('agenda_inscription:action_inscription_confirmee', array('titre' => $titre_evt, 'email' => $email)));
		exit;

	} else {
		// pas argument  : erreur
		include_spip('inc/minipres');
		echo minipres();
		exit;
	}

}
